package com.pokkt.demo;

import com.pokkt.sdk.debugging.Logger;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;
import java.util.TimeZone;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class Learn {

    public static void main(String[] args) {
        Pattern THREEDECIMAL_NUMBER_PATTERN = Pattern.compile("[-+]?\\d*[\\.\\d]*\\.\\d+");
        String data = "4.0";
        Matcher matcher = THREEDECIMAL_NUMBER_PATTERN.matcher(data);
        if (matcher.matches()) {
            System.out.println("Matches");
            int d = Integer.parseInt(String.valueOf(data.charAt(0)));
            System.out.println("" + d);
        }
            System.out.println("" +convertToTimeZoneFormat());
            System.out.println("" +System.currentTimeMillis());
            System.out.println("" +System.nanoTime());
            long random = (long )(Math.random() * 99999999);
        System.out.println("" +random);

    }

    public static String convertToTimeZoneFormat() {
        try {
            SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss.SSSZ",Locale.ENGLISH);
            //SimpleDateFormat formatter = new SimpleDateFormat("YYYY-MM-dd'T'HH:mm:ss.SSSXXX", Locale.ENGLISH);
            formatter.setTimeZone(TimeZone.getDefault());
            return formatter.format(new Date());//2018-11-30T18:45:21.873+05:30
        } catch (Throwable e) {
            Logger.printStackTrace(e);
        }
        return "";
    }
}
