package com.pokkt.demo.utility;

import android.content.Context;
import android.text.TextUtils;

public class Storage {

    public static boolean isKotlin = false;
    public static void storeVideoPoints(Context context, float points) {
        float oldPoints = getVideoPoints(context);
        context.getSharedPreferences("MyVideoPrefs", Context.MODE_PRIVATE).edit()
                .putFloat("points", oldPoints + points).apply();
    }

    public static float getVideoPoints(Context context) {
        return context.getSharedPreferences("MyVideoPrefs", Context.MODE_PRIVATE).getFloat("points", 0);
    }

    public static String getAppId(Context context) {
        String appID;
        appID = context.getSharedPreferences("MyVideoPrefs", Context.MODE_PRIVATE).getString("appId", "f303768353fb89d188f24b36c4d80b2e");//interstitial
        return appID;
    }

    public static void setAppId(Context context, String appId) {
        if (!TextUtils.isEmpty(appId)) {
            context.getSharedPreferences("MyVideoPrefs", Context.MODE_PRIVATE).edit().putString("appId", appId).apply();
        }
    }

    public static String getSecurityKey(Context context) {
        String securityKey;
        securityKey = context.getSharedPreferences("MyVideoPrefs", Context.MODE_PRIVATE).getString("securityKey", "f3b2bec2234694467398589e1606234b");//interstitial
        return securityKey;
    }

    public static void setSecurityKey(Context context, String appId) {
        if (!TextUtils.isEmpty(appId)) {
            context.getSharedPreferences("MyVideoPrefs", Context.MODE_PRIVATE).edit().putString("securityKey", appId).apply();
        }
    }

}